@extends('layouts.form')

@section('title')
    Edit Superior
@endsection

@section('form-title')
    Edit Superior
@endsection

@section('form-navigation')
    <li><a class="text-decoration-none" href="{{ route('allSuperiors') }}">List Superiors </a></li>
    <li>Edit Superior - {{ $student_superior_profile->superior_name }}</li>
@endsection

@section('form-tabs-li')
    <li class="nav-item" role="presentation">
        <button class="nav-link active" id="pills-basic-info-tab" data-bs-toggle="pill" data-bs-target="#pills-basic-info"
            type="button" role="tab" aria-controls="pills-basic-info" aria-selected="true">Basic Info</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-address-info-tab" data-bs-toggle="pill" data-bs-target="#pills-address-info"
            type="button" role="tab" aria-controls="pills-address-info" aria-selected="false">Address Info</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-social-links-tab" data-bs-toggle="pill" data-bs-target="#pills-social-links"
            type="button" role="tab" aria-controls="pills-social-links" aria-selected="false">Social Links</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-education-info-tab" data-bs-toggle="pill"
            data-bs-target="#pills-education-info" type="button" role="tab" aria-controls="pills-education-info"
            aria-selected="false">Education Info</button>
    </li>
@endsection

@section('form-tabs-content')
    <form class="needs-validation" method="POST" action="{{ route('updateSuperior', $student_superior_profile->id) }}"
        enctype="multipart/form-data">
        @csrf

        <div class="tab-content" id="pills-tabContent">
            {{-- Basic Info Group --}}
            <div class="tab-pane fade show active px-3" id="pills-basic-info" role="tabpanel"
                aria-labelledby="pills-basic-info-tab">

                {{-- <form class="row g-3 needs-validation flex-row-reverse text-end" novalidate> --}}
                <div class="row">

                    {{-- Full Name --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_name" class="form-label">Full Name</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_name"
                                aria-describedby="nameHelp" placeholder="Enter Superior Full Name ..." name="superior_name"
                                value="{{ old('superior_name') ?? $student_superior_profile->superior_name }}" required>
                        
                        </div>
                    </div>

                    {{-- Email --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_email" class="form-label">Email Address</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_email"
                                aria-describedby="superior_email" placeholder="Enter Superior Email Address ..."
                                name="superior_email"
                                value="{{ old('superior_email') ?? $student_superior_profile->superior_email }}" required>
                         
                        </div>
                    </div>

                    {{-- Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_phone" class="form-label">Mobile Number</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_phone"
                                placeholder="Enter Superior Mobile Number . . ." name="superior_phone"
                                value="{{ old('superior_phone') ?? $student_superior_profile->superior_phone }}" required>
                           
                        </div>
                    </div>

                    {{-- Alternative Mobile Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_alternative_phone" class="form-label">Alternative Mobile Number</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_alternative_phone"
                                placeholder="Enter Superior Alternative Mobile Number . . ."
                                name="superior_alternative_phone"
                                value="{{ old('superior_alternative_phone') ?? $student_superior_profile->superior_alternative_phone }}">
                           
                        </div>
                    </div>

                    {{-- Nationality --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_nationality" class="form-label">Nationality</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_nationality"
                                placeholder="Enter Superior Nationality . . ." name="superior_nationality"
                                value="{{ old('superior_nationality') ?? $student_superior_profile->superior_nationality }}"
                                required>
                     

                        </div>
                    </div>

                    {{-- National Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_national_number" class="form-label">National Number</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_national_number"
                                placeholder="Enter Superior National Number . . ." name="superior_national_number"
                                value="{{ old('superior_national_number') ?? $student_superior_profile->superior_national_number }}"
                                required>
                        
                        </div>
                    </div>

                {{-- Upload Image --}}
                <div class="col-md-2 mt-4">
                    @if ($student_superior_profile->superior_image !== null)
                        <div class="form-group">
                            <img class="image-fload" width="100%" height="100%"
                                src='{{ asset("uploads/$student_superior_profile->superior_image") }}'
                                alt="{{ $student_superior_profile->superior_name }}">
                        </div>
                    @else
                        <br>
                        <p class="filelabel">No Superior Image</p>
                    @endif
                </div>
                <div class="col-md-2 mt-4">
                    <label for="image_input" class="form-label filelabel">
                        <i class="fa fa-paperclip">
                        </i>
                        <span class="title">
                            Upload Image
                        </span>
                        <input class="FileUpload1 form-control" id="image_input" name="superior_image" type="file" />
                    </label>
                </div>

                    {{-- Date of Birth --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_dob" class="form-label">Date Of Birth</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="superior_dob"
                                placeholder="Enter Superior Date of Birth . . ." name="superior_dob"
                                value="{{ old('superior_dob') ?? $student_superior_profile->superior_dob }}" required>
                      
                        </div>
                    </div>

                    {{-- Gender --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_gender" class="form-label">Gender</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="superior_gender"
                                name="superior_gender" required>
                                <option value="" disabled>-- Please choose an option --</option>
                                <option value="Male"
                                    @if (old('superior_gender') == null) {{ $student_superior_profile->superior_gender == 'Male' ? 'selected' : '' }} @else {{ old('superior_gender') == 'Male' ? 'selected' : '' }} @endif>
                                    Male</option>
                                <option value="Female"
                                    @if (old('superior_gender') == null) {{ $student_superior_profile->superior_gender == 'Female' ? 'selected' : '' }} @else {{ old('superior_gender') == 'Female' ? 'selected' : '' }} @endif>
                                    Female</option>
                            </select>
                           
                        </div>
                    </div>

                    {{-- Superior Job --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_job" class="form-label">Superior Job</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_job"
                                placeholder="Enter Superior Job . . ." name="superior_job"
                                value="{{ old('superior_job') ?? $student_superior_profile->superior_job }}" required>
                            
                        </div>
                    </div>

                    {{-- Degree Of Kinship --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_degree_of_kinship" class="form-label">Degree Of Kinship</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_degree_of_kinship"
                                placeholder="Enter Degree Of Kinship . . ." name="superior_degree_of_kinship"
                                value="{{ old('superior_degree_of_kinship') ?? $student_superior_profile->superior_degree_of_kinship }}"
                                required>
                           
                        </div>
                    </div>

                    {{-- Marital Status --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_marital_status" class="form-label">Marital Status</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="superior_marital_status"
                                name="superior_marital_status" required>
                                <option value="">-- Please choose an option --</option>
                                <option value="Single"
                                    @if (old('superior_marital_status') == null) {{ $student_superior_profile->superior_marital_status == 'Single' ? 'selected' : '' }} @else {{ old('superior_marital_status') == 'Single' ? 'selected' : '' }} @endif>
                                    Single</option>
                                <option value="Married"
                                    @if (old('superior_marital_status') == null) {{ $student_superior_profile->superior_marital_status == 'Married' ? 'selected' : '' }} @else {{ old('superior_marital_status') == 'Married' ? 'selected' : '' }} @endif>
                                    Married</option>
                                <option value="Divorced"
                                    @if (old('superior_marital_status') == null) {{ $student_superior_profile->superior_marital_status == 'Divorced' ? 'selected' : '' }} @else {{ old('superior_marital_status') == 'Divorced' ? 'selected' : '' }} @endif>
                                    Divorced</option>
                            </select>
                        
                        </div>
                    </div>

                </div>

            </div>

            {{-- Address Info --}}
            <div class="tab-pane fade show px-3" id="pills-address-info" role="tabpanel"
                aria-labelledby="pills-address-info-tab">

                <div class="row">

                    {{-- Address --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_address" class="form-label">Address</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_address"
                                aria-describedby="superior_address" placeholder="Enter Superior Address ..."
                                name="superior_address"
                                value="{{ old('superior_address') ?? $student_superior_profile->superior_address }}">
                         
                        </div>
                    </div>

                    {{-- City --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_city" class="form-label">City</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_city"
                                aria-describedby="superior_city" placeholder="Enter Superior City ..." name="superior_city"
                                value="{{ old('superior_city') ?? $student_superior_profile->superior_city }}">
                           
                        </div>
                    </div>

                    {{-- State --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_state" class="form-label">State</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_state"
                                aria-describedby="superior_state" placeholder="Enter Superior State ..."
                                name="superior_state"
                                value="{{ old('superior_state') ?? $student_superior_profile->superior_state }}">
                        
                        </div>
                    </div>

                    {{-- Country --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_country" class="form-label">Country</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_country"
                                aria-describedby="superior_country" placeholder="Enter Superior Country ..."
                                name="superior_country"
                                value="{{ old('superior_country') ?? $student_superior_profile->superior_country }}">
                         
                        </div>
                    </div>

                    {{-- Landmark --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_landmark" class="form-label">Landmark</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_landmark"
                                aria-describedby="superior_landmark" placeholder="Enter Superior Landmark ..."
                                name="superior_landmark"
                                value="{{ old('superior_landmark') ?? $student_superior_profile->superior_landmark }}">
                           
                        </div>
                    </div>


                </div>
            </div>



            {{-- Socail Links --}}
            <div class="tab-pane fade show px-3" id="pills-social-links" role="tabpanel"
                aria-labelledby="pills-social-links-tab">

                <div class="row">

                    {{-- FaceBook Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_fb_link" class="form-label">FaceBook Link</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_fb_link"
                                placeholder="Enter Superior FaceBook Link ..." name="superior_fb_link"
                                value="{{ old('superior_fb_link') ?? $student_superior_profile->superior_fb_link }}">
                           
                        </div>
                    </div>

                    {{-- Twitter Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_twitter_link" class="form-label">Twitter Link</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_twitter_link"
                                placeholder="Enter Superior Twitter Link ..." name="superior_twitter_link"
                                value="{{ old('superior_twitter_link') ?? $student_superior_profile->superior_twitter_link }}">
                     
                        </div>
                    </div>

                    {{-- Social Media Link --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_social_media_1" class="form-label">Social Media Link</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_social_media_1"
                                placeholder="Enter Superior Social Media Link ..." name="superior_social_media_1"
                                value="{{ old('superior_social_media_1') ?? $student_superior_profile->superior_social_media_1 }}">
                          
                        </div>
                    </div>

                    {{-- Social Media Link 2 --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_social_media_2" class="form-label">Social Media Link</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="url" class="form-control text-start" id="superior_social_media_2"
                                placeholder="Enter Superior Social Media Link ..." name="superior_social_media_2"
                                value="{{ old('superior_social_media_2') ?? $student_superior_profile->superior_social_media_2 }}">
                         
                        </div>
                    </div>


                </div>
            </div>


            {{-- Education Info --}}
            <div class="tab-pane fade show px-3" id="pills-education-info" role="tabpanel"
                aria-labelledby="pills-education-info-tab">

                <div class="row">

                    {{-- Qualification --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_qualification" class="form-label">Qualification</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-check"></i>
                            </span>
                            <select class="form-control text-start custom-select" id="superior_qualification"
                                name="superior_qualification" required>
                                <option value="Bachelor"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Bachelor' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Bachelor' ? 'selected' : '' }} @endif>
                                    Bachelor</option>
                                <option value="Diploma"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Diploma' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Diploma' ? 'selected' : '' }} @endif>
                                    Diploma</option>
                                <option value="Phd"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Phd' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Phd' ? 'selected' : '' }} @endif>
                                    Phd</option>
                                <option value="Other"
                                    @if (old('superior_qualification') == null) {{ $student_superior_profile->superior_qualification == 'Other' ? 'selected' : '' }} @else {{ old('superior_qualification') == 'Other' ? 'selected' : '' }} @endif>
                                    Other</option>
                            </select>
                     
                        </div>
                    </div>
                    {{-- If other selected show the other qualification --}}
                    {{-- Other Qualification --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_qualification_other" class="form-label">Other Qualification</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_qualification_other"
                                aria-describedby="superior_qualification_other"
                                placeholder="Enter Superior Other Qualification ..." name="superior_qualification_other"
                                value="{{ old('superior_qualification_other') ?? $student_superior_profile->superior_qualification_other }}">
                          
                        </div>
                    </div>

                    {{-- Wedding Date --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_wedding_date" class="form-label">Wedding Date</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="date" class="form-control text-start" id="superior_wedding_date"
                                placeholder="Enter Superior Wedding Date . . ." name="superior_wedding_date"
                                value="{{ old('superior_wedding_date') ?? $student_superior_profile->superior_wedding_date }}"
                                required>
                       
                        </div>
                    </div>

                    {{-- Interests --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_interests" class="form-label">Interests</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_interests"
                                aria-describedby="superior_interests" placeholder="Enter Superior Interests ..."
                                name="superior_interests"
                                value="{{ old('superior_interests') ?? $student_superior_profile->superior_interests }}">
                            
                        </div>
                    </div>

                    {{-- Superior Age At Student Birth --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_age_at_student_birth" class="form-label">Superior Age At Student
                            Birth</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_age_at_student_birth"
                                aria-describedby="superior_age_at_student_birth"
                                placeholder="Enter Superior Age At Student Birth ..." name="superior_age_at_student_birth"
                                value="{{ old('superior_age_at_student_birth') ?? $student_superior_profile->superior_age_at_student_birth }}">
                           
                        </div>
                    </div>

                    {{-- Superior Relation With Child --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_relation_with_child" class="form-label">Superior Relation With
                            Child</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_relation_with_child"
                                aria-describedby="superior_relation_with_child"
                                placeholder="Enter Superior Relation With Child ..." name="superior_relation_with_child"
                                value="{{ old('superior_relation_with_child') ?? $student_superior_profile->superior_relation_with_child }}">
                           
                        </div>
                    </div>

                    {{-- Student Attitudes Towards Parent --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_attitudes_towards_parent" class="form-label">Student Attitudes Towards
                            Parent</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_attitudes_towards_parent"
                                aria-describedby="superior_attitudes_towards_parent"
                                placeholder="Enter Student Attitudes Towards Parent ..."
                                name="superior_attitudes_towards_parent"
                                value="{{ old('superior_attitudes_towards_parent') ?? $student_superior_profile->superior_attitudes_towards_parent }}">
                         
                        </div>
                    </div>

                    {{-- Superior Pregnancy Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_pregnancy_number" class="form-label">Superior Pregnancy Number</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_pregnancy_number"
                                aria-describedby="superior_pregnancy_number"
                                placeholder="Enter Superior Pregnancy Number ..." name="superior_pregnancy_number"
                                value="{{ old('superior_pregnancy_number') ?? $student_superior_profile->superior_pregnancy_number }}">
                           
                        </div>
                        <small id="superior_pregnancy_number" class="form-text text-muted">
                            Please Anwser it if geneder is Female
                        </small>
                    </div>

                    {{-- Superior Miscarriages Number --}}
                    <div class="col-md-4 mt-4">
                        <label for="superior_miscarriages_number" class="form-label">Superior Miscarriages
                            Number</label>
                        <div class="input-group has-validation">
                            <span class="input-group-text" id="inputGroupPrepend">
                                <i class="fa-solid fa-envelope"></i>
                            </span>
                            <input type="text" class="form-control text-start" id="superior_miscarriages_number"
                                aria-describedby="superior_miscarriages_number"
                                placeholder="Enter Superior Miscarriages Number ..." name="superior_miscarriages_number"
                                value="{{ old('superior_miscarriages_number') ?? $student_superior_profile->superior_miscarriages_number }}">
                      
                        </div>
                        <small id="superior_miscarriages_number" class="form-text text-muted">
                            Please Anwser it if geneder is Female
                        </small>
                    </div>

                </div>
            </div>


        </div>


        <div class="col-12">
            <button class="btn btn-outline-primary" type="submit">save</button>
        </div>

    </form>
@endsection
