@extends('layouts.list')

@section('title')
    All Superiors
@endsection

@section('list-title')
    Superiors
@endsection

@section('list-navigation')
    <li>Superiors</li>
@endsection

@section('list-new-button')
    <a href="{{ route('createSuperior') }}" class="btn btn-outline-primary btn-sm me-2">
        <i class="fa-solid fa-plus me-2"></i> New Superior
    </a>
@endsection

@section('list-table-header')
    <th scope="col">#</th>
    <th scope="col">Image</th>
    <th scope="col">Superior</th>
    <th scope="col">Nationality</th>
    <th scope="col">Gender</th>
    <th scope="col">Created By</th>
    <th scope="col">Actions</th>
@endsection

@section('list-table-body')
    @foreach ($student_superior_profiles as $student_superior_profile)
        <tr>
            <td>
                <p class="m-0 px-3">1</p>
            </td>
            <th scope="row" class="imageTitle">
                @if ($student_superior_profile->superior_image !== null && $student_superior_profile->superior_image !== '')
                    <img class="image-fload" width="100px" height="100px"
                        src='{{ asset("uploads/$student_superior_profile->superior_image") }}'
                        alt="{{ $student_superior_profile->superior_name }}">
                @else
                    <h2> {{ $student_superior_profile->superior_name[0] }}</h2>
                @endif
            </th>
            <td class="Zindex Zindex1 ">
                <h6 class="col-4"> Name </h6>
                <a class="text-decoration-none col-8" href="{{ route('viewSuperior', $student_superior_profile->id) }}">
                    <p class="text-custome m-0 ">{{ $student_superior_profile->superior_name }}
                    </p>
                </a>
                <h6 class="col-4"> email </h6>
                <p class="m-0 col-8">{{ $student_superior_profile->superior_email }}</p>
                <h6 class="col-4"> phone </h6>
                <p class="m-0 col-8">{{ $student_superior_profile->superior_phone }}</p>
            </td>
            <td class="Zindex">
                <h6 class="col-4"> nationality </h6>
                <p class="m-0 col-8">{{ $student_superior_profile->superior_nationality }}</p>
            </td>
            <td class="Zindex">
                <h6 class="col-4"> gender </h6>
                <p class="m-0 col-8">{{ $student_superior_profile->superior_gender }}</p>
            </td>
            <td class="Zindex">
                <h6 class="col-4"> Created By </h6>
                <a class="text-decoration-none col-8" href="{{ route('viewUser', $student_superior_profile->id) }}">
                    <p class="text-custome m-0">
                        {{ $student_superior_profile->createdPerson->full_name }}</p>
                </a>
            </td>
            <td>
                <div class="btn-group">

                    <i data-bs-toggle="dropdown" aria-expanded="false"
                        class="fa-solid fa-ellipsis  dropdown-toggle mx-3 opacity-75"></i>

                    <ul class="dropdown-menu px-2 py-3 shadow bg-white bg-gradient border-0">
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('viewSuperior', $student_superior_profile->id) }}">
                                <i class="fa-solid fa-eye me-2 text-custome"></i>
                                View
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('editSuperior', $student_superior_profile->id) }}">
                                <i class="fa-solid fa-pen-to-square me-2 text-warning"></i>
                                Edit
                            </a>
                        </li>
                        @if (Auth::user()->role == "super_admin" || Auth::user()->role == "owner")
                        <li>
                            <a class="dropdown-item opacity-75 "
                                href="{{ route('deleteSuperior', $student_superior_profile->id) }}">
                                <i class="fa-solid fa-trash-can me-2 text-danger"></i>
                                Delete
                            </a>
                        </li>
                        @endif
                    </ul>
                </div>
            </td>
        </tr>
    @endforeach
@endsection

@section('list-table-inside-pagination')
    {{-- <div class="d-flex">
    {!! $student_superior_profiles->links() !!}
</div> --}}
@endsection

@section('list-pagination')
    {{-- {{ $student_superior_profiles->links() }} --}}
@endsection
